worker_processes 4;
worker_rlimit_nofile 100000;
error_log  logs/nginx.log crit;
pid        logs/nginx.pid;
events {
     worker_connections  40960;
}
http {
     include       mime.types;
     default_type  application/octet-stream;
	 server_names_hash_bucket_size 256;
     log_format    main '$remote_addr - $remote_user [$time_iso8601] "$request" '
                        '$status $body_bytes_sent '
						'"$http_referer" "$http_user_agent" ';
     access_log  off;
	 server_tokens  on;
	 sendfile       on;
	 sendfile_max_chunk 512k;
     tcp_nopush     off;
	 tcp_nodelay    off;
     keepalive_timeout   65;
	 keepalive_requests 100;
include upstream.conf;
include gzip.conf;
#include saferesolve.conf;
include vhosts.conf;
}
